> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsteerco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get presentation

> Get details of a specific presentation including slides and discussion topics.



## OpenAPI

````yaml /openapi.json get /v1/presentations/{presentationId}
openapi: 3.1.0
info:
  title: Steerco API
  version: 1.0.0
  description: >-
    REST API and MCP server for managing presentations, templates, themes, and
    entities.
servers:
  - url: https://api.getsteerco.com
security: []
paths:
  /v1/presentations/{presentationId}:
    get:
      summary: Get presentation
      description: >-
        Get details of a specific presentation including slides and discussion
        topics.
      parameters:
        - schema:
            type: string
            description: The presentation ID
          required: true
          description: The presentation ID
          name: presentationId
          in: path
        - schema:
            type: string
            description: >-
              The workspace ID. Get available workspaces from GET
              /v1/workspaces.
          required: true
          description: The workspace ID. Get available workspaces from GET /v1/workspaces.
          in: header
          name: X-Workspace-Id
      responses:
        '200':
          description: Presentation details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationDetail'
        '404':
          description: Presentation not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    PresentationDetail:
      allOf:
        - $ref: '#/components/schemas/Presentation'
        - type: object
          properties:
            slides:
              type: array
              items:
                $ref: '#/components/schemas/Slide'
            discussionTopics:
              type: array
              items:
                $ref: '#/components/schemas/DiscussionTopic'
          required:
            - slides
            - discussionTopics
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
        - code
    Presentation:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - generating
            - ready
            - failed
            - stopped
        summary:
          type: string
        slideCount:
          type: integer
        createdAt:
          type: string
        templateName:
          type: string
        themeName:
          type: string
      required:
        - id
        - name
        - status
        - slideCount
        - createdAt
    Slide:
      type: object
      properties:
        index:
          type: integer
        layoutName:
          type: string
        placeholders:
          type: object
          additionalProperties:
            type: string
      required:
        - index
        - placeholders
    DiscussionTopic:
      type: object
      properties:
        topic:
          type: string
        details:
          type: string
        notes:
          type: string
      required:
        - topic
        - details
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: API key (ak_ prefix). Generate one from your Steerco profile settings.

````